List recipes
curl --request GET \
--url https://api.getcargo.io/v1/expression/recipes/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getcargo.io/v1/expression/recipes/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getcargo.io/v1/expression/recipes/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recipes": [
{
"uuid": "<string>",
"shortId": "<string>",
"version": 123,
"workspaceUuid": "<string>",
"name": "<string>",
"description": "<string>",
"isPublic": true,
"isBlacklisted": true,
"archivedAt": "<string>",
"placeholders": [
{
"slug": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"expression": "<string>",
"userUuid": "<string>",
"userFirstName": "<string>",
"userLastName": "<string>",
"userPicture": "<string>",
"isFavorite": true
}
]
}Expression - Recipes
List recipes
List all expression recipes
GET
/
expression
/
recipes
/
list
List recipes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
UI types to include.
Available options:
ai, js Recipe tab filter.
Available options:
all, user, workspace, favorites Recipe categories to include.
Available options:
other, classification, cleaning, marketing, sales, event, copywriting Filter recipes by name.
Maximum number of recipes to return.
Number of recipes to skip.
Response
Successful response
List of recipes.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

